function z = initcond(x,ctr,R)
% function for initial condition  
N = size(x,1); z = zeros(N,1);
r = x - repmat(ctr,N,1);
r = sum(r.^2,2);
activer = sqrt(r) < R;

z(activer) = exp(r(activer)./(r(activer)-R^2));