function uu = predictor(xx,x,u,lambda,c)
% Use RBF to interpolate values at new set points

N = length(x);
Nxx = length(xx);
B = zeros(Nxx,N);
for j=1:N
    B(:,j) = mq2d(xx,x(j,:),c(j));
end
uu = B*(lambda*u);